PHP Manual
Prev |  | Next

# http_post_data

(PECL)

http_post_data -- Perform POST request with pre-encoded data

## Description

string http_post_data ( string url [, string data [, array options [, array &info]]] )

Performs an HTTP POST request on the supplied url.

See http_get() for a full list of available parameters and options.

## Parameters

url

  URL

data

  String containing the pre-encoded post data

options

  Request options

info

  Request/response information

## Return Values

Returns the HTTP response(s) as string on success, or FALSE on failure.

Prev | Home | Next
http_head | Up | http_post_fields